Add status update
POST
/incidents/{id}/updates
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsonmessage
string
REQUIRED
status
string
REQUIRED
Enum:
investigating, identified, monitoring, resolvedis_internal
boolean
REQUIRED
Responses
201
Update added
No response body
curl -X POST 'https://happyuptime.com/api/v1/incidents/string/updates' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "message": "string", "status": "investigating", "is_internal": false}'
const response = await fetch('https://happyuptime.com/api/v1/incidents/string/updates', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "message": "string", "status": "investigating", "is_internal": false })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/incidents/string/updates', headers=headers, json={ "message": "string", "status": "investigating", "is_internal": false})print(response.json())
API Playground
Try this endpoint
POST
/incidents/{id}/updates